Bug 250548 - spamc/spamd combination does not work
spamc/spamd combination does not work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-02 02:45 EDT by Jan ONDREJ
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: spamassassin-3.2.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-20 10:52:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of requested command (799 bytes, application/octet-stream)
2007-08-02 09:11 EDT, Jan ONDREJ
no flags Details

  None (edit)
Description Jan ONDREJ 2007-08-02 02:45:08 EDT
Description of problem:
All test with spamc reports NO spam even if there is a spam identified in
/var/log/maillog by spamd. All spams are delivered to my mailbox. :(

Version-Release number of selected component (if applicable):
spamassassin-3.2.2-1.fc7

How reproducible:
always

Steps to Reproduce:
1. run spamd
2. create a spam mail file in /tmp/spamtest
3. run "spamc -R < /tmp/spamtest"
  
Actual results:
0/0

Expected results:
24.7/4.0
... identified spam details or something similiar...

Additional info:
Running spamassassin as separate program (not spamc) works well. See:
  spamassassin < /tmp/test | grep X-Spam-Status
  X-Spam-Status: Yes, score=43.0 required=1.0 tests=BAYES_99,DATE_IN_PAST_03_06,
Previous version of spamassassin worked fine for my, only this latest not.
Comment 1 Warren Togami 2007-08-02 08:53:07 EDT
What is the result of:
cat /usr/share/doc/spamassassin-3.2.2/sample-spam.txt | spamc
Comment 2 Jan ONDREJ 2007-08-02 09:11:08 EDT
Created attachment 160520 [details]
output of requested command

Result has same MD5 checksum as source.
Comment 3 Jan ONDREJ 2007-08-02 09:13:43 EDT
[ondrejj@work ~]$ md5sum /usr/share/doc/spamassassin-3.2.2/sample-spam.txt
23de00e370e172bf1131549161f4971b  /usr/share/doc/spamassassin-3.2.2/sample-spam.txt
[ondrejj@work ~]$ cat /usr/share/doc/spamassassin-3.2.2/sample-spam.txt | spamc
| md5sum
23de00e370e172bf1131549161f4971b  -
[ondrejj@work ~]$ 
Comment 4 Jan ONDREJ 2007-08-02 16:04:01 EDT
New information:
  turning off pyzor plugin (or uninstalling pyzor package) helps for me.
May be you can simulate this bug by installing "pyzor" package and restarting
spamassassin.

Also it can be connected to bug #250547 also reported by me today.
Comment 5 Warren Togami 2007-08-02 17:23:31 EDT
http://koji.fedoraproject.org/packages/spamassassin/3.2.2/
Please test the latest build from here
Comment 6 Jan ONDREJ 2007-08-03 00:58:29 EDT
Works fine. Thank you. It solved both my problems #250548 and #250547.

Release: spamassassin-3.2.2-2.fc7

Note You need to log in before you can comment on or make changes to this bug.